package com.kmall.manager.entity;

import com.kmall.manager.entity.pay.data.open.GoodsInfo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 实体
 * 表名 cus_pay_data_open
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-28 11:17:08
 */
public class CusPayDataOpenEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;
    /**
     * 商户订单编号
     */
    private String merchOrderSn;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 跨境电商平台企业向支付企业发送的原始信息
     */
    private String initalRequest;
    /**
     * 支付企业向跨境电商平台企业反馈的原始信息
     */
    private String initalResponse;
    /**
     * 交易流水号
     */
    private String payTransactionId;
    /**
     * 实际交易金额
     */
    private BigDecimal totalAmount;
    /**
     * 实际交易币制（海关编码）
     */
    private String currency;
    /**
     * 验核机构：1-银联 2-网联 3-其他
     */
    private String verDept;
    /**
     * 支付类型：1-APP 2-PC 3-扫码 4-其他
     */
    private String payType;
    /**
     * 交易成功时间
     */
    private String tradingTime;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private List<GoodsInfo> goodsInfoList;

    /**
     * 获取：
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置：
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取：商户订单编号
     */
    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    /**
     * 设置：商户订单编号
     */
    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    /**
     * 获取：订单编号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 设置：订单编号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 获取：跨境电商平台企业向支付企业发送的原始信息
     */
    public String getInitalRequest() {
        return initalRequest;
    }

    /**
     * 设置：跨境电商平台企业向支付企业发送的原始信息
     */
    public void setInitalRequest(String initalRequest) {
        this.initalRequest = initalRequest;
    }

    /**
     * 获取：支付企业向跨境电商平台企业反馈的原始信息
     */
    public String getInitalResponse() {
        return initalResponse;
    }

    /**
     * 设置：支付企业向跨境电商平台企业反馈的原始信息
     */
    public void setInitalResponse(String initalResponse) {
        this.initalResponse = initalResponse;
    }

    /**
     * 获取：交易流水号
     */
    public String getPayTransactionId() {
        return payTransactionId;
    }

    /**
     * 设置：交易流水号
     */
    public void setPayTransactionId(String payTransactionId) {
        this.payTransactionId = payTransactionId;
    }

    /**
     * 获取：实际交易金额
     */
    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    /**
     * 设置：实际交易金额
     */
    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    /**
     * 获取：实际交易币制（海关编码）
     */
    public String getCurrency() {
        return currency;
    }

    /**
     * 设置：实际交易币制（海关编码）
     */
    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /**
     * 获取：验核机构：1-银联 2-网联 3-其他
     */
    public String getVerDept() {
        return verDept;
    }

    /**
     * 设置：验核机构：1-银联 2-网联 3-其他
     */
    public void setVerDept(String verDept) {
        this.verDept = verDept;
    }

    /**
     * 获取：支付类型：1-APP 2-PC 3-扫码 4-其他
     */
    public String getPayType() {
        return payType;
    }

    /**
     * 设置：支付类型：1-APP 2-PC 3-扫码 4-其他
     */
    public void setPayType(String payType) {
        this.payType = payType;
    }

    /**
     * 获取：交易成功时间
     */
    public String getTradingTime() {
        return tradingTime;
    }

    /**
     * 设置：交易成功时间
     */
    public void setTradingTime(String tradingTime) {
        this.tradingTime = tradingTime;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }

    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }

    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }

    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }

    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }

    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    public List<GoodsInfo> getGoodsInfoList() {
        return goodsInfoList;
    }

    public void setGoodsInfoList(List<GoodsInfo> goodsInfoList) {
        this.goodsInfoList = goodsInfoList;
    }
}
